﻿@model SYM.DataAccessLayer.user_wishlist
@using SYM.SearchEngine.MvcApp.Helpers;

@{
    string title = "";

    if (@Model.route != null)
    {
        title = @Model.route.route_name;
    }

    if (@Model.mountain != null)
    {
        title = @Model.mountain.mntn_name + " - " + title;
    }
}
<div class="portlet-body form">
    @using (Html.BeginForm("EditAdventure", "Profile", FormMethod.Post, new { role = "form", name = "formEditAdventure", id = "formModal" }))
    {
        <input type="hidden" id="advent-id" name="id" value="@Model.id" />
        <div class="row">
            <div class="col-md-12">
                <div class="row margin-top-10">
                    <div class="col-md-12">
                        <div id="iniM">
                            <label for="select2-multiple-input-sm" class="control-label">@SYM.Localization.Resources.Views.Mountain.UploadImage.Mountain:*</label>
                            <input type="text" id="advent-title" name="title" class="form-control" required readonly="readonly" maxlength="500" value="@title">
                        </div>
                    </div>
                </div>
                <div class="row margin-top-10">
                    <div class="col-md-6">
                        <div>
                            <label for="select2-multiple-input-sm" class="control-label">@SYM.Localization.Resources.Views.Profile.Adventure.DateAscent:</label>
                            <div class="input-group date date-picker" data-date-format="dd-mm-yyyy" data-date="@DateTime.Now.ToString("dd-MM-yyyy")">
                                <input type="text" class="form-control" readonly name="date" value="@Model.wl_dateAscent.GetValueOrDefault().ToString("dd-MM-yyyy")">
                                <span class="input-group-btn">
                                    <button class="btn default" type="button">
                                        <i class="fa fa-calendar"></i>
                                    </button>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div>
                            <label for="select2-multiple-input-sm" class="control-label">@SYM.Localization.Resources.Views.Profile.Adventure.Ranking:</label>
                            @HtmlHelpers.DropDownListBootstrap("score", ViewBag.Score,"2",false)
                        </div>
                    </div>
                </div>
                <div class="row margin-top-10">
                    <div class="col-md-12">
                        <label class="control-label">@SYM.Localization.Resources.Views.Mountain.UploadImage.AdventureList:</label>
                        <div class="mt-radio-inline">
                            <label class="mt-radio">
                                <input type="radio" name="done" id="optionsRadios4" value="true" @(Model.wl_done==true?"checked":"")><i class="fa fa-child"></i> @SYM.Localization.Resources.Views.Mountain.UploadImage.Done
                                <span></span>
                            </label>
                            <label class="mt-radio">
                                <input type="radio" name="done" id="optionsRadios5" value="false" @(Model.wl_done==false?"checked":"")> @SYM.Localization.Resources.Views.Mountain.UploadImage.ToDo <b>Adventure List</b>
                                <span></span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    }
</div>

<script type="text/javascript">
    $('#modal-container').removeClass("modal-full").addClass("modal-lg");
    $('#modal-title').html("@SYM.Localization.Resources.Views.Profile.Adventure.EditTitle");
    $('#myModal_submit').html("@SYM.Localization.Resources.Views.Profile.Adventure.EditTitle");
    //Initialize Select DropDown
    $('.select2me').select2({
        allowClear: true,
        width: null,
        placeholder: ""
    });
    $(".date-picker").datepicker({
        rtl: App.isRTL(),
        orientation: "left",
        autoclose: !0
    });
</script>

